package com.mortals.xhx.module.doc.template.model;

import java.util.List;
import java.util.List;
import com.mortals.xhx.module.doc.template.model.vo.DocTemplateVo;
/**
* doc模板查询对象
*
* @author zxfei
* @date 2021-10-16
*/
public class DocTemplateQuery extends DocTemplateEntity {
    /** 开始 ID,主键，自增长 */
    private Long idStart;

    /** 结束 ID,主键，自增长 */
    private Long idEnd;

    /** 增加 ID,主键，自增长 */
    private Long idIncrement;

    /** ID,主键，自增长列表 */
    private List <Long> idList;

    /** 模板名称 */
    private List<String> nameList;

    /** 开始 doc主键ID */
    private Long docIdStart;

    /** 结束 doc主键ID */
    private Long docIdEnd;

    /** 增加 doc主键ID */
    private Long docIdIncrement;

    /** doc主键ID列表 */
    private List <Long> docIdList;

    /** 模板地址 */
    private List<String> templatePathList;

    /** 备注 */
    private List<String> remarkList;

    /** 开始 变更时间 */
    private String updateTimeStart;

    /** 结束 变更时间 */
    private String updateTimeEnd;

    /** 变更用户,登录名 */
    private List<String> updateUserList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 创建用户,登录名 */
    private List<String> createUserList;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<DocTemplateQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<DocTemplateQuery> andConditionList;

    public DocTemplateQuery(){}

    /**
    * 获取 开始 ID,主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 ID,主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 ID,主键，自增长
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 ID,主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 ID,主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 ID,主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 ID,主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 ID,主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 模板名称
    * @return nameList
    */
    public List<String> getNameList(){
        return this.nameList;
    }

    /**
    * 设置 模板名称
    * @param nameList
    */
    public void setNameList(List<String> nameList){
        this.nameList = nameList;
    }
    /**
    * 获取 开始 doc主键ID
    * @return docIdStart
    */
    public Long getDocIdStart(){
        return this.docIdStart;
    }

    /**
    * 设置 开始 doc主键ID
    * @param docIdStart
    */
    public void setDocIdStart(Long docIdStart){
        this.docIdStart = docIdStart;
    }

    /**
    * 获取 结束 doc主键ID
    * @return $docIdEnd
    */
    public Long getDocIdEnd(){
        return this.docIdEnd;
    }

    /**
    * 设置 结束 doc主键ID
    * @param docIdEnd
    */
    public void setDocIdEnd(Long docIdEnd){
        this.docIdEnd = docIdEnd;
    }

    /**
    * 获取 增加 doc主键ID
    * @return docIdIncrement
    */
    public Long getDocIdIncrement(){
        return this.docIdIncrement;
    }

    /**
    * 设置 增加 doc主键ID
    * @param docIdIncrement
    */
    public void setDocIdIncrement(Long docIdIncrement){
        this.docIdIncrement = docIdIncrement;
    }

    /**
    * 获取 doc主键ID
    * @return docIdList
    */
    public List<Long> getDocIdList(){
        return this.docIdList;
    }

    /**
    * 设置 doc主键ID
    * @param docIdList
    */
    public void setDocIdList(List<Long> docIdList){
        this.docIdList = docIdList;
    }

    /**
    * 获取 模板地址
    * @return templatePathList
    */
    public List<String> getTemplatePathList(){
        return this.templatePathList;
    }

    /**
    * 设置 模板地址
    * @param templatePathList
    */
    public void setTemplatePathList(List<String> templatePathList){
        this.templatePathList = templatePathList;
    }
    /**
    * 获取 备注
    * @return remarkList
    */
    public List<String> getRemarkList(){
        return this.remarkList;
    }

    /**
    * 设置 备注
    * @param remarkList
    */
    public void setRemarkList(List<String> remarkList){
        this.remarkList = remarkList;
    }
    /**
    * 获取 开始 变更时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
    * 设置 开始 变更时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 变更时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
    * 设置 结束 变更时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
    * 获取 变更用户,登录名
    * @return updateUserList
    */
    public List<String> getUpdateUserList(){
        return this.updateUserList;
    }

    /**
    * 设置 变更用户,登录名
    * @param updateUserList
    */
    public void setUpdateUserList(List<String> updateUserList){
        this.updateUserList = updateUserList;
    }
    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
    * 获取 创建用户,登录名
    * @return createUserList
    */
    public List<String> getCreateUserList(){
        return this.createUserList;
    }

    /**
    * 设置 创建用户,登录名
    * @param createUserList
    */
    public void setCreateUserList(List<String> createUserList){
        this.createUserList = createUserList;
    }
    /**
    * 设置  ID,主键，自增长
    * @param id
    */
    public DocTemplateQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 ID,主键，自增长
    * @param idStart
    */
    public DocTemplateQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 ID,主键，自增长
    * @param idEnd
    */
    public DocTemplateQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 ID,主键，自增长
    * @param idIncrement
    */
    public DocTemplateQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 ID,主键，自增长
    * @param idList
    */
    public DocTemplateQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }


	/**
    * 设置 模板名称
    * @param name
    */
    public DocTemplateQuery name(String name){
        setName(name);
		return this;
    }

    /**
    * 设置 模板名称
    * @param nameList
    */
    public DocTemplateQuery nameList(List<String> nameList){
        this.nameList = nameList;
		return this;
    }

    /**
    * 设置  doc主键ID
    * @param docId
    */
    public DocTemplateQuery docId(Long docId){
	    setDocId(docId);
		return this;
    }
	
	 /**
    * 设置 开始 doc主键ID
    * @param docIdStart
    */
    public DocTemplateQuery docIdStart(Long docIdStart){
		this.docIdStart = docIdStart;
		return this;
    }

    /**
    * 设置 结束 doc主键ID
    * @param docIdEnd
    */
    public DocTemplateQuery docIdEnd(Long docIdEnd){
		this.docIdEnd = docIdEnd;
		return this;
    }

    /**
    * 设置 增加 doc主键ID
    * @param docIdIncrement
    */
    public DocTemplateQuery docIdIncrement(Long docIdIncrement){
		this.docIdIncrement = docIdIncrement;
		return this;
    }

    /**
    * 设置 doc主键ID
    * @param docIdList
    */
    public DocTemplateQuery docIdList(List<Long> docIdList){
        this.docIdList = docIdList;
		return this;
        }


	/**
    * 设置 模板地址
    * @param templatePath
    */
    public DocTemplateQuery templatePath(String templatePath){
        setTemplatePath(templatePath);
		return this;
    }

    /**
    * 设置 模板地址
    * @param templatePathList
    */
    public DocTemplateQuery templatePathList(List<String> templatePathList){
        this.templatePathList = templatePathList;
		return this;
    }


	/**
    * 设置 备注
    * @param remark
    */
    public DocTemplateQuery remark(String remark){
        setRemark(remark);
		return this;
    }

    /**
    * 设置 备注
    * @param remarkList
    */
    public DocTemplateQuery remarkList(List<String> remarkList){
        this.remarkList = remarkList;
		return this;
    }



	/**
    * 设置 变更用户,登录名
    * @param updateUser
    */
    public DocTemplateQuery updateUser(String updateUser){
        setUpdateUser(updateUser);
		return this;
    }

    /**
    * 设置 变更用户,登录名
    * @param updateUserList
    */
    public DocTemplateQuery updateUserList(List<String> updateUserList){
        this.updateUserList = updateUserList;
		return this;
    }



	/**
    * 设置 创建用户,登录名
    * @param createUser
    */
    public DocTemplateQuery createUser(String createUser){
        setCreateUser(createUser);
		return this;
    }

    /**
    * 设置 创建用户,登录名
    * @param createUserList
    */
    public DocTemplateQuery createUserList(List<String> createUserList){
        this.createUserList = createUserList;
		return this;
    }

    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<DocTemplateQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<DocTemplateQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<DocTemplateQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<DocTemplateQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}