package com.mortals.xhx.module.platform.web;
import com.mortals.framework.web.BaseCRUDJsonBodyMappingController;
import com.mortals.xhx.base.system.param.service.ParamService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import com.mortals.framework.model.Context;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import com.mortals.framework.web.BaseCRUDJsonMappingController;
import com.mortals.xhx.module.platform.model.PlatformEntity;
import com.mortals.xhx.module.platform.service.PlatformService;
import java.util.Map;
import java.util.List;
/**
* PlatformController
*
* 平台用户 控制器
*
* @author zxfei
* @date 2021-10-27
*/
@RestController
@RequestMapping("platform")
public class PlatformController extends BaseCRUDJsonBodyMappingController<PlatformService,PlatformEntity,Long> {

    @Autowired
    private ParamService paramService;

    public PlatformController(){
        super.setFormClass(PlatformForm.class);
        super.setModuleDesc( "平台用户");
    }

    @Override
    protected void init( Map<String, Object> model, Context context) {
        super.init(model, context);
    }

}