package com.mortals.xhx.module.doc.template.service;

import com.mortals.framework.model.Context;
import com.mortals.framework.service.ICRUDService;
import com.mortals.xhx.module.doc.template.model.DocTemplateEntity;
/**
* DocTemplateService
*
* doc模板 service接口
*
* @author zxfei
* @date 2021-10-16
*/
public interface DocTemplateService extends ICRUDService<DocTemplateEntity,Long>{

    /**
     * 解析模板数据，提取占位符
     * @param docTemplate
     * @param context
     */
    void parseDocXml(DocTemplateEntity docTemplate, Context context);

    /**
     * 解析docx模板数据，提取占位符
     * @param docTemplate
     * @param context
     */
    void parseDocxToJson(DocTemplateEntity docTemplate, Context context);



}